import request from '@/utils/request'
/*
 **大华相关接口
 */

// 设备管理列表查询 =>废弃
// export function getDeviceList(data) {
//     return request({
//         url: `/device/getDeviceList`,
//         method: 'post',
//         data: data
//     })
// }

//本地设备列表获取  顺序1 设备
export function getLocalDeviceList(params) {
    return request({
        url: `/dhController/getLocalDeviceList`,
        method: 'post',
        params: params
    })
}

//设备下属单元信息获取 顺序2 单元
export function getLocalUnitNodes(params) {
    return request({
        url: `/dhController/getLocalUnitNodes`,
        method: 'post',
        params: params
    })
}


//单元下属通道信息获取 顺序3 通道
export function getLocalChannel(params) {
    return request({
        url: `/dhController/getLocalChannel`,
        method: 'post',
        params: params
    })
}

//同步摄像头
export function getDhDeviceListNew(data) {
    return request({
        url: `/dhController/getDhDeviceListNew`,
        method: 'post',
        data
    })
}

//同步摄像头
export function exportDhDeviceListNew(data) {
    return request({
        url: `/dhController/exportChannel`,
        method: 'post',
        data
    })
}